geos::operation::overlayng::IntersectionPointBuilder Class Reference

`#include <IntersectionPointBuilder.h>`

## Public Member Functions

| IntersectionPointBuilder (OverlayGraph *p_graph, const geom::GeometryFactory *geomFact)
std::vector< std::unique_ptr< geom::Point > > | getPoints ()
| IntersectionPointBuilder (const IntersectionPointBuilder &)=delete
IntersectionPointBuilder & | operator= (const IntersectionPointBuilder &)=delete
void | setStrictMode (bool p_isStrictMode)

## Detailed Description

Extracts Point resultants from an overlay graph created by an Intersection operation between non-Point inputs. Points may be created during intersection if lines or areas touch one another at single points. Intersection is the only overlay operation which can result in Points from non-Point inputs.

Overlay operations where one or more inputs are Points are handled via a different code path.

Author
  Martin Davis

See also
  OverlayPoints

The documentation for this class was generated from the following file:

- IntersectionPointBuilder.h